<bugID>1102799<Summary>WebIDE failed prettify JS with backtick enclosed multi-line strings</Summary><Description>STR:
1. Plug in your device, I'm using Flame
2. cd gaia; DEVICE_DEBUG=1 make production
3. Launch WebIDE from Firefox Nightly
4. Open app vertical Homescreen, and select the file "gaia_build_defer_index.js", you'll find the JS is not prettified and from Firefox Nightly thre's an exception:

     Stack: SourceActor.prototype._sendToPrettyPrintWorker/&lt;/onReply@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/actors/script.js:2907:27
     Line: 2907, column: 26
     togglePrettyPrint threw an exception: Error: Unexpected character '`' (421:499)
     raise@resource://gre/modules/devtools/acorn/acorn.js:231:15
     readToken@resource://gre/modules/devtools/acorn/acorn.js:738:7
     getToken@resource://gre/modules/devtools/acorn/acorn.js:146:7
     prettyFast@resource://gre/modules/devtools/pretty-fast.js:777:15
     self.onmessage@resource://gre/modules/devtools/server/actors/pretty-print-worker.js:37:24

The backtick is from here: http://lxr.mozilla.org/gaia/source/shared/elements/gaia_grid/script.js#237</Description></bugID>